{
    template: '${tmpl}',
        data: function() {
            return {
                code: "",
                name1: "",
                name2: "",
                name3: "",
                /*全选*/
                isnumIndeterminate: false,

                /*查询得到数据*/
                querydata: [],
                /*当前页*/
                page: 1,
                size: 20,
                total: "",
                /*1.申请年份*/
                apply_year: [],
                /*3.申请大类*/
                ncl_one_codes: [],
                /*4.统计类型*/
                total_type: -1,
                /*按鈕*/
                kwx_total: "",
                kcs_total: "",
                kxz_total: "",
                kkz_total: "",
                kyy_total: "",

                /*监控名称*/
                jkmc: "",

                /*申请年份*/
                year_list: [],
                /*申请大类*/
                ncl_type: [],
                /*法律状态*/
                status: [
                    {
                        name: "全部",
                        value: -1
                    },
                    {
                        name: "申请中",
                        value: 1
                    },
                    {
                        name: "已初审",
                        value: 2
                    },
                    {
                        name: "已注册",
                        value: 3
                    },
                    {
                        name: "已无效",
                        value: 4
                    },
                    {
                        name: "其他",
                        value: 5
                    },

                ],
                /*临时传值*/
                value_year: "-1",
                value_ncl: "-1",
                value_button_num: "-1",
                value_num: "-1",
                isActive: false,
                active: -1,
                index: -1,
            };
        },
    created: function() {
        $("#byctitle").text("标眼查-商标监控列表详情");
        /*页面加载时使用*/
        this.code = this.$router.history.current.query.code;
        console.log("this.code..................");
        console.log(this.code);
        console.log("this.code..................");
        var obj = {
            code: this.code,
            apply_year: "-1",
            status: "-1",
            ncl_one_codes: "-1",
            total_type: "-1",
            current_page: 1,
            page_size: 10
        };
        var that = this;
        const loading = this.$loading({
            lock: true,
            text: 'Loading',
            spinner: 'el-icon-loading',
            background: 'rgba(0, 0, 0, 0.7)'
        });
        that.$root.postReq("/web/bytmmonitCtl/getMonitListDetails", obj).then(function (d) {
            loading.close();
            that.name1 = -1;
            that.name2 = -1;
            that.name3 = -1;
            that.querydata = d.data;
            that.total = d.total_count;
            that.kwx_total = d.kwx_total;
            that.kcs_total = d.kcs_total;
            that.kxz_total = d.kxz_total;
            that.kkz_total = d.kkz_total;
            that.kyy_total = d.kyy_total;
            that.jkmc = d.name;

            that.year_list = d.year_list;
            that.ncl_type = d.ncl_type;
            console.log(d);

        }).catch(function (e) {
        });

    },
    methods: {
        styleset(obj){
            if (this.index == obj) {
                return { color: "#ffffff", background: "#108EE9" };
            } else {
                return { color: '#303133', background: "#ffffff" };
            }
        },
        tableRowStyle({ row, rowIndex }) {
            if (row && row.is_shadow == 1) {
                return 'height:50px;background-color:#ecf5ff;';
            }
            return 'height:50px;';
        },
        bytmmonitck()
        {
            this.$router.push("/bytmmonit?tmmonit");
        },
        handleEdit(index, row) {
            console.log(index, row);
        },
        handleDelete(index, row) {
            console.log(index, row);
        },
        /*监控详情列表页面加载时查询*/
        jkxq(name1, num){
            /*临时存储*/
            if (num == 1) {
                this.value_year = name1;
            };
            if (num == 2) {
                this.value_num = name1;
            };
            if (num == 3) {
                this.value_ncl = name1;
            };
            this.code = this.$router.history.current.query.code;
            var obj = {
                code: this.code,
                apply_year: this.value_year.toString(),
                status: this.value_num.toString(),
                ncl_one_codes: this.value_ncl.toString(),
                total_type: this.value_button_num.toString(),
                current_page: 1,
                page_size: 10,
                ddl_query: 1
            };
            console.log("this.code.......下拉点击...........");
            console.log(obj);
            var that = this;
            const loading = this.$loading({
                lock: true,
                text: 'Loading',
                spinner: 'el-icon-loading',
                background: 'rgba(0, 0, 0, 0.7)'
            });
            that.$root.postReq("/web/bytmmonitCtl/getMonitListDetails", obj).then(function (d) {
                loading.close();
                console.log("下拉点击==========================dd");
                console.log(d);
                that.querydata = d.data;
                that.total = d.total_count;
                that.kwx_total = d.kwx_total;
                that.kcs_total = d.kcs_total;
                that.kxz_total = d.kxz_total;
                that.kkz_total = d.kkz_total;
                that.kyy_total = d.kyy_total;
                that.jkmc = d.name;
            }).catch(function (e) {
            });
        },
        /*按钮*/
        jkxq3(num){
            this.index = num;
            /*样式*/
            /* this.isActive = index;*/
            this.value_button_num = num;
            this.code = this.$router.history.current.query.code;
            var obj = {
                code: this.code,
                apply_year: this.value_year.toString(),
                status: this.value_num,
                ncl_one_codes: this.value_ncl.toString(),
                total_type: this.value_button_num.toString(),
                current_page: 1,
                page_size: 10
            };
            console.log("......tab.....点击...........");
            console.log(obj);
            var that = this;
            const loading = this.$loading({
                lock: true,
                text: 'Loading',
                spinner: 'el-icon-loading',
                background: 'rgba(0, 0, 0, 0.7)'
            });
            that.$root.postReq("/web/bytmmonitCtl/getMonitListDetails", obj).then(function (d) {
                loading.close();
                console.log("tab-------------------->>>>>>>>>>>>>>结果");
                console.log(d);
                that.querydata = d.data;
                that.total = d.total_count;

            }).catch(function (e) {
            });
        },
        changePageData(){
            this.code = this.$router.history.current.query.code;
            var obj = {
                code: this.code,
                apply_year: this.value_year.toString(),
                status: this.value_num,
                ncl_one_codes: this.value_ncl.toString(),
                total_type: this.value_button_num.toString(),
                current_page: this.page,
                page_size: this.size
            };
            console.log("......changePageData...........");
            console.log(obj);
            var that = this;
            const loading = this.$loading({
                lock: true,
                text: 'Loading',
                spinner: 'el-icon-loading',
                background: 'rgba(0, 0, 0, 0.7)'
            });
            that.$root.postReq("/web/bytmmonitCtl/getMonitListDetails", obj).then(function (d) {
                loading.close();
                console.log("changePageData-------------------->>>>>>>>>>>>>>结果");
                console.log(d);
                that.querydata = d.data;
                that.total = d.total_count;

            }).catch(function (e) {
            });
        }
    ,
        handleCurrentChange(val)
        {
            this.page = val;
            console.log(`当前 ${val} 页`);
            this.changePageData();
        }
    ,
        handleSizeChange(val)
        {
            this.size = val;
            console.log(`每页 ${val} 条`);
            this.changePageData();
        },
        /*查看详情*/
        viewDetails(sbzch, gjfl){
            var localurl = location.href;
            var base = localurl.split("b#");
            var url = base[0] + "b#/bycdetailtm?sbzch=" + sbzch + "&gjfl=" + gjfl;
            window.open(url);
        }

    },
    mounted(){

        /* this.jkxq01();*/



    },
    vname: "gsb-bytmmonitlistdetails"
}
